linux-ec2: 2.6.32-353.66 -proposed tracker

Bug #1186479 reported by Brad Figg on 2013-06-01
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Stefan Bader
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Saturday, 01. June 2013 02:56 UTC
kernel-stable-master-bug:1186340
kernel-stable-Certification-testing-end:Saturday, 01. June 2013 03:04 UTC
kernel-stable-Prepare-package-end:Tuesday, 04. June 2013 14:05 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 04. June 2013 14:05 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 04. June 2013 15:07 UTC
kernel-stable-Verification-testing-start:Tuesday, 04. June 2013 17:06 UTC
kernel-stable-Security-signoff-start:Monday, 10. June 2013 13:52 UTC
kernel-stable-Verification-testing-end:Monday, 10. June 2013 13:52 UTC
kernel-stable-Regression-testing-start:Monday, 10. June 2013 13:52 UTC
kernel-stable-Security-signoff-end:Tuesday, 11. June 2013 11:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 13. June 2013 18:56 UTC
kernel-stable-Regression-testing-end:Thursday, 13. June 2013 18:54 UTC
kernel-stable-Promote-to-updates-end:Thursday, 13. June 2013 20:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 13. June 2013 21:02 UTC

This tracking bug was opened to be worked from linux-2.6.32-48.110 update (bug 1186340)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-06-01
description: updated
Stefan Bader (smb) on 2013-06-04
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-353.66 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-06-04
description: updated
Brad Figg (brad-figg) on 2013-06-04
description: updated
Adam Conrad (adconrad) on 2013-06-08
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
Adam Conrad (adconrad) wrote :

No flavor-specific bugs.

Brad Figg (brad-figg) on 2013-06-10
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-06-11
description: updated
Paul Larson (pwlars) on 2013-06-13
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-06-13
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-353.66

---------------
linux-ec2 (2.6.32-353.66) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-48.110
  * Release Tracking Bug
    - LP: #1186479

  [ Ubuntu: 2.6.32-48.110 ]

  * (config) Import Xen specific config options from ec2
    - LP: #1177431
  * SAUCE: xen: Send spinlock IPI to all waiters
    - LP: #1011792, #1177431
  * ax25: fix info leak via msg_name in ax25_recvmsg()
    - LP: #1172366
    - CVE-2013-3223
  * Bluetooth: fix possible info leak in bt_sock_recvmsg()
    - LP: #1172368
    - CVE-2013-3224
  * tipc: fix info leaks via msg_name in recv_msg/recv_stream
    - LP: #1172403
    - CVE-2013-3235
  * rose: fix info leak via msg_name in rose_recvmsg()
    - LP: #1172394
    - CVE-2013-3234
  * Bluetooth: RFCOMM - Fix missing msg_namelen update in
    rfcomm_sock_recvmsg()
    - LP: #1172369
    - CVE-2013-3225
  * atm: update msg_namelen in vcc_recvmsg()
    - LP: #1172365
    - CVE-2013-3222
  * KVM: Fix bounds checking in ioapic indirect register reads
    (CVE-2013-1798)
    - LP: #1158262
    - CVE-2013-1798
  * llc: Fix missing msg_namelen update in llc_ui_recvmsg()
    - LP: #1172385
    - CVE-2013-3231
  * netrom: fix info leak via msg_name in nr_recvmsg()
    - LP: #1172386
    - CVE-2013-3232
  * irda: Fix missing msg_namelen update in irda_recvmsg_dgram()
    - LP: #1172380
    - CVE-2013-3228
  * iucv: Fix missing msg_namelen update in iucv_sock_recvmsg()
    - LP: #1172381
    - CVE-2013-3229
 -- Stefan Bader <email address hidden> Tue, 04 Jun 2013 10:12:05 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-06-13
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers